Bug 1052146 - [abrt] vim-enhanced: getout(): vim killed by SIGSEGV
Summary: [abrt] vim-enhanced: getout(): vim killed by SIGSEGV
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: vim
Version: 20
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7b83e487a4fd94c19188270075d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-13 12:02 UTC by siliang.cao
Modified: 2014-02-27 09:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-27 09:28:21 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (24.37 KB, text/plain)
2014-01-13 12:02 UTC, siliang.cao
no flags Details
File: cgroup (159 bytes, text/plain)
2014-01-13 12:02 UTC, siliang.cao
no flags Details
File: core_backtrace (7.43 KB, text/plain)
2014-01-13 12:02 UTC, siliang.cao
no flags Details
File: dso_list (2.05 KB, text/plain)
2014-01-13 12:02 UTC, siliang.cao
no flags Details
File: environ (3.08 KB, text/plain)
2014-01-13 12:02 UTC, siliang.cao
no flags Details
File: limits (1.29 KB, text/plain)
2014-01-13 12:02 UTC, siliang.cao
no flags Details
File: maps (5.71 KB, text/plain)
2014-01-13 12:02 UTC, siliang.cao
no flags Details
File: open_fds (129 bytes, text/plain)
2014-01-13 12:03 UTC, siliang.cao
no flags Details
File: proc_pid_status (781 bytes, text/plain)
2014-01-13 12:03 UTC, siliang.cao
no flags Details
File: var_log_messages (328 bytes, text/plain)
2014-01-13 12:03 UTC, siliang.cao
no flags Details

Description siliang.cao 2014-01-13 12:02:36 UTC
Description of problem:
I have installed spf13-vim, and try to view vim help.

Version-Release number of selected component:
vim-enhanced-7.4.027-2.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        vim
crash_function: getout
executable:     /usr/bin/vim
kernel:         3.12.6-300.fc20.i686
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 getout at main.c:1504
 #6 deathtrap at os_unix.c:1098
 #8 _IO_default_xsputn at genops.c:447
 #9 _IO_vfprintf_internal at vfprintf.c:1316
 #10 ___vsprintf_chk at vsprintf_chk.c:85
 #11 ___sprintf_chk at sprintf_chk.c:31
 #12 sprintf at /usr/include/bits/stdio2.h:33
 #13 eval_vars at ex_docmd.c:10041
 #14 f_expand at eval.c:10133
 #15 call_func at eval.c:8529

Potential duplicate: bug 1047268

Comment 1 siliang.cao 2014-01-13 12:02:42 UTC
Created attachment 849262 [details]
File: backtrace

Comment 2 siliang.cao 2014-01-13 12:02:47 UTC
Created attachment 849263 [details]
File: cgroup

Comment 3 siliang.cao 2014-01-13 12:02:50 UTC
Created attachment 849264 [details]
File: core_backtrace

Comment 4 siliang.cao 2014-01-13 12:02:52 UTC
Created attachment 849265 [details]
File: dso_list

Comment 5 siliang.cao 2014-01-13 12:02:55 UTC
Created attachment 849266 [details]
File: environ

Comment 6 siliang.cao 2014-01-13 12:02:56 UTC
Created attachment 849267 [details]
File: limits

Comment 7 siliang.cao 2014-01-13 12:02:59 UTC
Created attachment 849268 [details]
File: maps

Comment 8 siliang.cao 2014-01-13 12:03:02 UTC
Created attachment 849269 [details]
File: open_fds

Comment 9 siliang.cao 2014-01-13 12:03:04 UTC
Created attachment 849270 [details]
File: proc_pid_status

Comment 10 siliang.cao 2014-01-13 12:03:06 UTC
Created attachment 849271 [details]
File: var_log_messages

Comment 11 liuyuqi.crh 2014-02-26 20:12:34 UTC
Another user experienced a similar problem:

I used some vim plugins (which wasn't made by me) and this problem occurred just when I was using.

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        vim info.c
crash_function: getout
executable:     /usr/bin/vim
kernel:         3.12.5-302.fc20.i686
package:        vim-enhanced-7.4.027-2.fc20
reason:         vim killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 12 Karsten Hopp 2014-02-27 09:28:21 UTC
Please update vim, there are more than 150 additional patches in vim-7.4.179-1.fc20 from f20-updates. Lots of them might already fix this issue.


Note You need to log in before you can comment on or make changes to this bug.